Fix setting CPPFLAGS/LIBS in audacious-plugins autoconf script

August 24, 2012 10:56 - Brad Smith

Status: Rejected Start date: August 24, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.1   

Description

The audacious-plugins autoconf script currently sets up CPPFLAGS/LIBS with the

flags from Audacious very early in the script and polluting the environment

which causes some of the autoconf checks to potentially fail. So move setting

CPPFLAGS/LIBS to the very end so as to not pollute the environment but still

provide the flags for the build.

History

#1 - August 25, 2012 00:01 - John Lindgren

How would Audacious CPPFLAGS/LIBS cause autoconf checks to fail?

#2 - August 26, 2012 17:03 - Brad Smith

John Lindgren wrote:

How would Audacious CPPFLAGS/LIBS cause autoconf checks to fail?

 

This line near the very top of the autoconf script...

LIBS="$LIBS $AUDACIOUS_LIBS"

adds libaudclient and libaudgui to LIBS which brings in those libraries and a whole slew of dependencies from them which is then polluting the linking

environment for the autoconf tests. There is no reason these libs should be added like this so early on. Move them to the very end after running all of

the autoconf checks.

#3 - August 26, 2012 22:39 - John Lindgren

You haven't answered my question.

#4 - September 07, 2012 23:38 - John Lindgren

- Status changed from New to Rejected

Closing, not a bug.
